Subject: Offline Message from Annamaria: Order #600905362 Where is it? It’s 3 days th
From: Zendesk Chat <[email-masked]>
To: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Sat, 27 Jun 2020 12:39:48 -0000

From: Annamaria <[email-masked]>
Phone: 
Location: , United Arab Emirates
URL: https://www.mumzworld.com/en/sales/order/history/
Department: 

Order #600905362

Where is it? It’s 3 days that was supposed to be delivered but it is still shipped in the portal here however I called 4 times since yesterday and Today and both times it was supposed to be urgently delivered but it is still NOT. Being the good I bought a luggage I must use to travel Tomorrow can you tell me exactly where the order is and how you make it delivered by today? Thanks 

----
Zopim
https://www.zopim.com